FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Fortran::evaluate::ArrayConstructorValues< RESULT > Class Template Reference
Inheritance diagram for Fortran::evaluate::ArrayConstructorValues< RESULT >:

## Public Types
using | Result = RESULT
using | Values = std::vector< ArrayConstructorValue< Result > >

## Public Member Functions
bool | operator== (const ArrayConstructorValues &) const
template<typename A >
common::NoLvalue< A > | Push (A &&x)
Values::iterator | begin ()
Values::const_iterator | begin () const
Values::iterator | end ()
Values::const_iterator | end () const

## Static Public Member Functions
static constexpr int | Rank ()

## Protected Attributes
Values | values_

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/expression.cpp